TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Modinv ( elt-ord^fun E, elt-ids^int/ord^fun M ) -> elt-ord^fun

### Description

<shortdoc> An inverse y of x mod M (so x*y = 1 (mod M)). </shortdoc>

### Examples

x_ff3 := FiniteField(3); x_ff3x := PolynomialAlgebra(x_ff3); x_ff3xy := PolynomialAlgebra(x_ff3x); x_f := x_ff3xy.1^2+1; x_F := FunctionField(x_f); x_O := MaximalOrderFinite(x_F); x_I := Element(x_O,[3,1])*x_O; Modinv(PrimitiveElement(x_O), x_I);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack